Index: .bzrignore
===================================================================
--- .bzrignore	(revision 21e5d4981de057bae5261720021757d893061652)
+++ .bzrignore	(revision 73c2dce8961e937e97c78f0b8b0ee4abd347756b)
@@ -2,13 +2,4 @@
 config.h
 bitlbee
-Debug
-Debugx
-deps
-admin/Debug
-admin/admin.plg
-bitlbee.plg
-*.plg
-*.aps
-*.clw
 user-guide.txt
 user-guide.html
Index: Makefile
===================================================================
--- Makefile	(revision 21e5d4981de057bae5261720021757d893061652)
+++ Makefile	(revision 73c2dce8961e937e97c78f0b8b0ee4abd347756b)
@@ -16,4 +16,6 @@
 ifeq ($(TARGET),i586-mingw32msvc)
 objects += win32.o
+LFLAGS+=-lws2_32
+EFLAGS+=-lsecur32
 else
 objects += unix.o conf.o log.o
Index: configure
===================================================================
--- configure	(revision 21e5d4981de057bae5261720021757d893061652)
+++ configure	(revision 73c2dce8961e937e97c78f0b8b0ee4abd347756b)
@@ -512,6 +512,4 @@
 Windows )
 	echo OUTFILE=bitlbee.exe >> Makefile.settings
-	echo LFLAGS+=-lws2_32 >> Makefile.settings
-	echo EFLAGS+=-lsecur32 >> Makefile.settings
 ;;
 * )
Index: doc/BUILD.win32
===================================================================
--- doc/BUILD.win32	(revision 21e5d4981de057bae5261720021757d893061652)
+++ doc/BUILD.win32	(revision 73c2dce8961e937e97c78f0b8b0ee4abd347756b)
@@ -1,35 +1,10 @@
-Instructions for building BitlBee on Windows 
-================================================
+Instructions for building BitlBee for Windows
+=============================================
 
-1. Download the latest version using bzr (http://www.bazaar-ng.org/):
+1) Install the mingw32 compiler
 
-   H:\> bzr branch http://win32.bitlbee.org/bzr bitlbee-win32
-   ...
+2) Compile GLib2 for the target i586-mingw32msvc
 
-2. Download and install the required development files: 
-    from ftp://ftp.gtk.org/pub/gtk/v2.8/win32/
-    - glib
-    - glib-dev
-    - libiconv (in dependencies/)
-    - gettext (in dependencies/)
-    from http://ftp.mozilla.org/pub/mozilla.org/
-    - nss (in security/nss/)
-    - nspr (in nspr/)
+3) Cross-compile BitlBee:
 
-  glib and gettext are only required for actually running BitlBee - building
-  should work fine without them.
-
-3. Set the following variables in Makefile.settings, if you don't have the 
-   libraries above installed in the default directories searched by MSVC:
-
-   - GLIB_DIR
-   - NSS_DIR
-   - NSPR_DIR
-
-4. Build:
-
-	H:\BitlBee> nmake /f win32.mk
-	...
-
-5. To build setup files, compile the bitlbee.iss file using the Inno Setup 
-   program (available from www.jrsoftware.org).
+$ ./configure --target=i586-mingw32msvc --ssl=bogus --arch=Windows
Index: ils/cross-compile.win32
===================================================================
--- utils/cross-compile.win32	(revision 21e5d4981de057bae5261720021757d893061652)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#!/bin/sh
-# Simple cross compilation script for BitlBee using mingw32
-# (C) Jelmer Vernooij <jelmer@samba.org> 2005-2006
-
-GTK_SITE=ftp://ftp.gtk.org/pub/gtk/v2.8/win32
-
-GLIB_VERSION=2.10.1
-LIBICONV_VERSION=1.9.1
-GETTEXT_VERSION=0.14.5
-
-wget -c $GTK_SITE/glib-dev-$GLIB_VERSION.zip
-wget -c $GTK_SITE/dependencies/libiconv-$LIBICONV_VERSION.bin.woe32.zip 
-wget -c $GTK_SITE/dependencies/gettext-dev-$GETTEXT_VERSION.zip 
-
-DEPSDIR=`mktemp -d`
-
-unzip -d $DEPSDIR -o libiconv-$LIBICONV_VERSION.bin.woe32.zip
-unzip -d $DEPSDIR -o glib-dev-$GLIB_VERSION.zip
-unzip -d $DEPSDIR -o gettext-dev-$GETTEXT_VERSION.zip
-
-LD=i586-mingw32msvc-ld CC=i586-mingw32msvc-gcc STRIP=i586-mingw32msvc-strip PKG_CONFIG_PATH="$DEPSDIR/lib/pkgconfig" PKG_CONFIG="pkg-config --define-variable=prefix=\"$DEPSDIR\"" ./configure --ssl=sspi --arch=Windows
Index: n32.mk
===================================================================
--- win32.mk	(revision 21e5d4981de057bae5261720021757d893061652)
+++ 	(revision )
@@ -1,136 +1,0 @@
-!INCLUDE Makefile.settings
-
-GLIB_CFLAGS = /I "$(GLIB_DIR)\include" \
-	      /I "$(GLIB_DIR)\include\glib-2.0" \
-	      /I "$(GLIB_DIR)\lib\glib-2.0\include"
-
-GLIB_LFLAGS = /libpath:"$(GLIB_DIR)\lib" 
-
-NSS_CFLAGS = /I "$(NSS_DIR)\include" /I "$(NSPR_DIR)\include"
-NSS_LFLAGS = /libpath:"$(NSS_DIR)\lib" /libpath:"$(NSPR_DIR)\lib" 
-NSS_LIBS = nss3.lib ssl3.lib libnspr4.lib
-
-COMMON_LIBS = kernel32.lib user32.lib advapi32.lib shell32.lib iconv.lib \
-			glib-2.0.lib gmodule-2.0.lib wsock32.lib advapi32.lib 
-
-
-MAIN_OBJS = account.obj bitlbee.obj commands.obj crypting.obj \
-	help.obj irc.obj protocols\md5.obj protocols\nogaim.obj \
-	protocols\sha.obj protocols\proxy.obj query.obj nick.obj set.obj \
-	user.obj protocols\util.obj win32.obj 
-
-MAIN_LIBS = $(COMMON_LIBS)
-
-SSL_OBJS = protocols\ssl_nss.obj
-SSL_LIBS = $(NSS_LFLAGS) $(NSS_LIBS)
-
-MSN_OBJS = \
-	protocols\msn\msn.obj \
-	protocols\msn\msn_util.obj \
-	protocols\msn\ns.obj \
-	protocols\msn\passport.obj \
-	protocols\msn\sb.obj \
-	protocols\msn\tables.obj \
-	$(SSL_OBJS)
-
-MSN_LIBS = $(COMMON_LIBS) $(SSL_LIBS)
-
-OSCAR_OBJS = \
-	protocols\oscar\admin.obj \
-	protocols\oscar\auth.obj \
-	protocols\oscar\bos.obj \
-	protocols\oscar\buddylist.obj \
-	protocols\oscar\chat.obj \
-	protocols\oscar\chatnav.obj \
-	protocols\oscar\conn.obj \
-	protocols\oscar\icq.obj \
-	protocols\oscar\im.obj \
-	protocols\oscar\info.obj \
-	protocols\oscar\misc.obj \
-	protocols\oscar\msgcookie.obj \
-	protocols\oscar\oscar.obj \
-	protocols\oscar\oscar_util.obj \
-	protocols\oscar\rxhandlers.obj \
-	protocols\oscar\rxqueue.obj \
-	protocols\oscar\search.obj \
-	protocols\oscar\service.obj \
-	protocols\oscar\snac.obj \
-	protocols\oscar\ssi.obj \
-	protocols\oscar\stats.obj \
-	protocols\oscar\tlv.obj \
-	protocols\oscar\txqueue.obj
-
-OSCAR_LIBS = $(COMMON_LIBS)
-
-JABBER_OBJS = \
-	protocols\jabber\expat.obj \
-	protocols\jabber\genhash.obj \
-	protocols\jabber\hashtable.obj \
-	protocols\jabber\jabber.obj \
-	protocols\jabber\jconn.obj \
-	protocols\jabber\jid.obj \
-	protocols\jabber\jpacket.obj \
-	protocols\jabber\jutil.obj \
-	protocols\jabber\karma.obj \
-	protocols\jabber\log.obj \
-	protocols\jabber\pool.obj \
-	protocols\jabber\pproxy.obj \
-	protocols\jabber\rate.obj \
-	protocols\jabber\str.obj \
-	protocols\jabber\xhash.obj \
-	protocols\jabber\xmlnode.obj \
-	protocols\jabber\xmlparse.obj \
-	protocols\jabber\xmlrole.obj \
-	protocols\jabber\xmltok.obj \
-	protocols\jabber\xstream.obj \
-	$(SSL_OBJS)
-
-JABBER_LIBS = $(COMMON_LIBS) $(SSL_LIBS)
-
-YAHOO_OBJS = \
-	protocols\yahoo\crypt.obj \
-	protocols\yahoo\libyahoo2.obj \
-	protocols\yahoo\vc50.idb \
-	protocols\yahoo\yahoo.obj \
-	protocols\yahoo\yahoo_fn.obj \
-	protocols\yahoo\yahoo_httplib.obj \
-	protocols\yahoo\yahoo_list.obj \
-	protocols\yahoo\yahoo_util.obj
-
-YAHOO_LIBS = $(COMMON_LIBS)
-
-CC=cl.exe
-CFLAGS=$(GLIB_CFLAGS) $(NSS_CFLAGS) /D NDEBUG /D WIN32 /D _WINDOWS \
-       /I . /I protocols /I protocols\oscar /nologo \
-       /D GLIB2 /D ARCH="\"Windows\"" /D CPU="\"x86\"" \
-       /D PLUGINDIR="plugins"
-
-.c.obj:
-	$(CC) $(CFLAGS) /c /Fo$@ $<
-
-ALL: bitlbee.exe libmsn.dll liboscar.dll libjabber.dll libyahoo.dll
-	
-LINK32=link.exe
-LINK32_FLAGS=/nologo $(GLIB_LFLAGS)
-
-bitlbee.exe: $(DEF_FILE) $(MAIN_OBJS)
-    $(LINK32) $(MAIN_LIBS) $(LINK32_FLAGS) /out:bitlbee.exe $(MAIN_OBJS)
-
-libmsn.dll: $(MSN_OBJS) 
-	$(LINK32) /DLL /SUBSYSTEM:WINDOWS /ENTRY:msn_init $(MSN_LIBS) $(LINK32_FLAGS) /out:libmsn.dll $(MSN_OBJS)
-
-libyahoo.dll: $(YAHOO_OBJS)
-	$(LINK32) /DLL /SUBSYSTEM:WINDOWS /ENTRY:yahoo_init $(YAHOO_LIBS) $(LINK32_FLAGS) /out:libyahoo.dll $(YAHOO_OBJS)
-
-liboscar.dll: $(OSCAR_OBJS)
-	$(LINK32) /DLL /SUBSYSTEM:WINDOWS /ENTRY:oscar_init $(OSCAR_LIBS) $(LINK32_FLAGS) /out:liboscar.dll $(OSCAR_OBJS)
-
-libjabber.dll: $(JABBER_OBJS)
-	$(LINK32) /DLL /SUBSYSTEM:WINDOWS /ENTRY:jabber_init $(JABBER_LIBS) $(LINK32_FLAGS) /out:libjabber.dll $(JABBER_OBJS)
-
-clean:
-	@-erase $(MAIN_OBJS)
-	@-erase $(MSN_OBJS)
-	@-erase $(JABBER_OBJS)
-	@-erase $(OSCAR_OBJS)
-	@-erase $(YAHOO_OBJS)
